#
# spec file for package baycomepp (Version 0.10)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  glib glib-devel gtk gtk-devel update-desktop-files xf86

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext glib glib-devel gnome-filesystem gtk gtk-devel libtool perl rpm update-desktop-files xorg-x11 xorg-x11-devel xorg-x11-libs

Name:         baycomepp
License:      GPL
Group:        Hardware/Other
Requires:     ax25-tools net_tool
Autoreqprov:  on
Version:      0.10
Release:      290
Summary:      BaycomEPP driver
URL:          http://www.baycom.org/bayweb/term/jnx/epp.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source:       baycomepp-%{version}.tar.bz2
Source1:      eppfm.desktop
Patch:        baycomepp-%{version}.dif
Patch1:       baycomepp.alpha.dif
PreReq:       %fillup_prereq %insserv_prereq

%description
This package contains the driver and diagnostic utilities for the
Baycom EPP modem family, specifically the conventional EPP modem (using
the IDT 7213x FIFO's) and the EPPFLEX FPGA modem (using the Xilinx
XCS10).



Authors:
--------
    Thomas Sailer <sailer@ife.ee.ethz.ch>

%debug_package
%prep
%setup -q -n baycomepp-%{version}
%patch
%patch1 -p1

%build
[ "${RPM_OPT_FLAGS/*-O*/@@HAVE_OPT@@}" != "@@HAVE_OPT@@" ] && RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O"
rm -fv ntdrv/makefile
rm -fv aclocal.m4
autoreconf --force --install
test -f po/Makevars || mv po/Makevars.template po/Makevars
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --localstatedir=/var \
	--libexecdir=/usr/lib --mandir=%{_mandir} --enable-driver \
	--enable-ppuser --enable-ppkdrv --build=%{_target_cpu}-suse-linux
rm -fv ntdrv/makefile
make

%install
%define prefix   /usr
%define libexecdir /usr/lib
%define localstatedir /var
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
   mkdir -p $RPM_BUILD_ROOT
fi
make install DESTDIR=$RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT/var/run
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m644 rc.config.baycomepp $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.baycomepp
install -m744  baycomepp.initscript_SuSE $RPM_BUILD_ROOT/etc/init.d/baycomepp
DOCDIR=$RPM_BUILD_ROOT%{_defaultdocdir}/baycomepp
DOC="AUTHORS COPYING ChangeLog INSTALL NEWS README README.SuSE"
install -d -m 755 ${DOCDIR}
install -m 644 ${DOC} ${DOCDIR}
ln -s ../../etc/init.d/baycomepp $RPM_BUILD_ROOT/usr/sbin/rcbaycomepp
%suse_update_desktop_file -i eppfm System Monitor

%post
%{fillup_and_insserv baycomepp}

%postun
%{insserv_cleanup}

%files
%config(noreplace) /etc/init.d/baycomepp
/usr/lib/baycomfpga_init.so
%dir %{_defaultdocdir}/baycomepp
%{_defaultdocdir}/baycomepp/AUTHORS
%{_defaultdocdir}/baycomepp/COPYING
%{_defaultdocdir}/baycomepp/ChangeLog
%{_defaultdocdir}/baycomepp/INSTALL
%{_defaultdocdir}/baycomepp/NEWS
%{_defaultdocdir}/baycomepp/README
%{_defaultdocdir}/baycomepp/README.SuSE
%{_mandir}/man8/baycomepp.8.gz
/%{_mandir}/man8/eppfpga.8.gz
/usr/bin/eppfm
/usr/share/applications/eppfm.desktop
/usr/sbin/baycomepp
/usr/sbin/eppdiag
/usr/sbin/eppfpga
/usr/sbin/rcbaycomepp
/var/adm/fillup-templates/sysconfig.baycomepp

%changelog -n baycomepp
* Tue May 18 2004 - jreuter@suse.de
- added missing typecasts to eppfm/interface.c
* Fri Nov 07 2003 - ro@suse.de
- fix brackets in configure.in
* Thu Aug 28 2003 - mmj@suse.de
- Add sysconfig metadata [#28841]
- Add reload to the initscript
* Sat Aug 16 2003 - adrian@suse.de
- add desktop file
* Thu Jun 19 2003 - ro@suse.de
- hack to build with latest gettext
* Fri Jun 13 2003 - ro@suse.de
- added directory to filelist
* Fri Feb 21 2003 - ro@suse.de
- call autoreconf
- fix build by removing (empty) ntdrv/makefile
* Thu Feb 20 2003 - mmj@suse.de
- Add sysconfig metadata [#22617]
* Fri Dec 06 2002 - jreuter@suse.de
- upgrade to version 0.10
* Wed Sep 11 2002 - adrian@suse.de
- remove Obsoletes/Provides of itself
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Sun Jan 13 2002 - ro@suse.de
- removed START_ variable
* Fri Jul 27 2001 - jreuter@suse.de
- init script now LSB compliant
* Fri Jan 12 2001 - stepan@suse.de
- alpha specific changes (insb, outsb)
* Mon Nov 27 2000 - jreuter@suse.de
- renamed to baycomepp
- obeys new init script scheme
- adds -O to CFLAGS regardless RPM_OPT_FLAGS for port access macros
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Tue Jun 06 2000 - ka@suse.de
- fixed spec file (%%{_mandir} in file list)
* Wed May 31 2000 - ka@suse.de
- update to version 0.8
- use BuildRoot in spec file
- use macros in spec file
- move configuration from rc.config to rc.config.d
- move man pages and documentation tp /usr/share/man and /usr/share/doc
- fix bug in spec file so documentation gets packed into rpm archive
* Fri Apr 14 2000 - ka@suse.de
- moved baycomfpga_init.so from /usr/libexec to /usr/lib (FHS 2.1)
* Sun Jan 30 2000 - ro@suse.de
- use sys/io.h again, glibc is fixed
* Fri Jan 21 2000 - ro@suse.de
- use sys/io.h on alpha, else asm/io.h
- avoid insb,outsb on alpha
* Fri Jan 14 2000 - ka@suse.de
- changed mandir from /usr/man to /usr/share/man (according to FHS)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - ka@suse.de
- initial release 0.7
- created SuSE-like start script /sbin/init.d/baycomepp
- adapted existing documentation for SuSE Linux
